Bug 979267 - Technical review comments of HTML5 Mobile guide
Technical review comments of HTML5 Mobile guide
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: doc-Getting-Started-With-HTML5-Mobile-Web-Development (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: GA
: 2.3.0
Assigned To: Sneha
Emil Cervenan
Depends On:
  Show dependency treegraph
Reported: 2013-06-28 02:35 EDT by Sneha
Modified: 2014-11-09 18:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-16 06:47:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sneha 2013-06-28 02:35:19 EDT
Following are the review comments received from Vineet via email:

  1. Section 1.5
     Step 2 in Procedure 1.5 mentions "Refer to Figure 1.3, “QUnit - Navigation to index.html file” for details.".
     This should be omitted, since there are actually two different files here (src/test/qunit/index.html and src/main/webapp/index.html).

  2. Section 2.1.1
     The label for Figure 2.1 has a spelling mistake. It should be "Fields" instead of "Fileds".

  3. Section 2.1.5
     The note on Underscore.js should be removed. Underscore.js is not used in this example. Please insert the following text in lieu of the section on Underscore.js:


     Lo-Dash is a low-level utility library providing functional programming support. It offers consistency, customization, and performance. In the application, it is used to process templating of the member table rows by dynamically loading and populating the member.tmpl file.


   4. Section 2.2.2
      The text "The listAll and lookupMemberById methods" should instead read "The listAllMembers and lookupMemberById methods".

   5. Section 2.2.2
      The final code snippet in this section should be:

      // Create an "ok" response
      builder = Response.ok().entity(member);

      instead of the existing:

      // Create an "ok" response
      builder = Response.ok();

Comment 1 Sneha 2013-06-28 05:50:42 EDT
Updated the guide with changes suggested in the bug description.
Comment 2 Sneha 2013-06-28 07:59:58 EDT
Updated following version numbers:

* 1.2.1 - step 2 ----> changed '7.1.3.CR6' to '7.1.3.CR7'
* 1.3.2 - step 1 ----> changed the image to reflect EAP 6.1
Comment 4 Emil Cervenan 2013-07-08 08:21:22 EDT
1. There are still typos mentioned in bug description. In 2.2.1 there is "Fileds" instead of "Fields" in figure 2.1 description and hypertext.

2. In section 2.1.2 in buildMemberRows description should be mentioned lodash instead of underscore. (there isn't underscore in this example)

3. In section 2.1.5 urls of third-party libraries are not unified. (Lo-Dash is not full url)

Note You need to log in before you can comment on or make changes to this bug.